-- Obtains reference to wand id
local wand_id = GetUpdatedEntityID()

-- First locks all spells/actions bound to the wand
local children = EntityGetAllChildren( wand_id ) or {};
for i,action in ipairs( children ) do
	local item = EntityGetFirstComponentIncludingDisabled( action, "ItemComponent" );
	if item ~= nil then
		ComponentSetValue2( item, "is_frozen", true );
	end
end
-- Then locks the wand itself
local item = EntityGetFirstComponentIncludingDisabled( wand_id, "ItemComponent" );
if item ~= nil then
	ComponentSetValue2( item, "is_frozen", true );
end